curl --request POST \
--url https://api.dfns.io/payouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"asset": {
"kind": "Erc20",
"amount": "<string>",
"contract": "<string>"
},
"fiatCurrency": "<string>",
"provider": "Borderless",
"country": "<string>",
"borderlessAccountId": "<string>",
"paymentInstructionsId": "<string>",
"paymentPurpose": "salary payment",
"externalId": "<string>"
}
'{
"id": "pyt-4ihii-9lonb-tmhjo9bor4odmb5h",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"fiatCurrency": "<string>",
"asset": {
"kind": "Erc20",
"amount": "<string>",
"contract": "<string>",
"network": "Algorand",
"metadata": {
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"verified": true
}
},
"status": "Processing",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"dateCreated": "2023-04-14T20:41:28.715Z",
"provider": "Borderless",
"data": {
"borderlessAccountId": "<string>",
"paymentInstructionsId": "<string>",
"paymentPurpose": "salary payment",
"executionStatus": "Initializing",
"country": "<string>",
"dateConfirmed": "2023-04-14T20:41:28.715Z",
"dateCanceled": "2023-04-14T20:41:28.715Z",
"statusReason": "<string>",
"borderlessPayoutId": "<string>",
"depositAddress": "<string>",
"transferId": "<string>",
"transactionHash": "<string>",
"dateDepositConfirmed": "2023-04-14T20:41:28.715Z",
"datePayoutConfirmed": "2023-04-14T20:41:28.715Z"
},
"externalId": "<string>",
"dateFinalized": "2023-04-14T20:41:28.715Z"
}Create a new payout to convert crypto assets to fiat currency.
curl --request POST \
--url https://api.dfns.io/payouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"asset": {
"kind": "Erc20",
"amount": "<string>",
"contract": "<string>"
},
"fiatCurrency": "<string>",
"provider": "Borderless",
"country": "<string>",
"borderlessAccountId": "<string>",
"paymentInstructionsId": "<string>",
"paymentPurpose": "salary payment",
"externalId": "<string>"
}
'{
"id": "pyt-4ihii-9lonb-tmhjo9bor4odmb5h",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"fiatCurrency": "<string>",
"asset": {
"kind": "Erc20",
"amount": "<string>",
"contract": "<string>",
"network": "Algorand",
"metadata": {
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"verified": true
}
},
"status": "Processing",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"dateCreated": "2023-04-14T20:41:28.715Z",
"provider": "Borderless",
"data": {
"borderlessAccountId": "<string>",
"paymentInstructionsId": "<string>",
"paymentPurpose": "salary payment",
"executionStatus": "Initializing",
"country": "<string>",
"dateConfirmed": "2023-04-14T20:41:28.715Z",
"dateCanceled": "2023-04-14T20:41:28.715Z",
"statusReason": "<string>",
"borderlessPayoutId": "<string>",
"depositAddress": "<string>",
"transferId": "<string>",
"transactionHash": "<string>",
"dateDepositConfirmed": "2023-04-14T20:41:28.715Z",
"datePayoutConfirmed": "2023-04-14T20:41:28.715Z"
},
"externalId": "<string>",
"dateFinalized": "2023-04-14T20:41:28.715Z"
}CustomerEmployee)EndUser)Payouts:Create: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows
The wallet ID to remit funds from.
1 - 64^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$"wa-5pfuu-9euek-h0odgb6snva8ph3k"
The asset to be paid out.
Show child attributes
ISO-4217 fiat currency code for the payout.
^[A-Z]{3}$Borderless ISO-3166 Alpha-2 country code for the payout destination.
^[A-Z]{2}$Borderless account ID specifying who is paying out funds.
Borderless payment instructions ID specifying fiat settlement instructions.
Borderless reason/purpose for the payment.
salary payment, personal remittance, rent payment, property purchase, owned account abroad, advertising expenses, advisory fees, business insurance, construction, delivery fees, education, exports, donation, hotel, loan payment, maintenance expenses, medical expense, office expenses, royalty fees, service charge, shares investment, tax payment, transportation fees, travel, utility bills, other Optional idempotency key to ensure only one payout is created.
Success
Payout id.
1 - 64^pyt-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$"pyt-4ihii-9lonb-tmhjo9bor4odmb5h"
The wallet ID used for the payout.
1 - 64^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$"wa-5pfuu-9euek-h0odgb6snva8ph3k"
ISO-4217 fiat currency code for the payout.
The asset being paid out, including token descriptor and metadata.
Show child attributes
The current status of the payout.
Processing, Completed, Failed, Rejected, Expired, Canceled The user/token that initiated the payout.
Show child attributes
Borderless Borderless provider-specific payout data.
Show child attributes
Optional external identifier for idempotency.
Was this page helpful?